#include <bits/stdc++.h>
#define ll long long

using namespace std;

void A(){
}

void G(){
    string s;
    cin>>s;
    reverse(s.begin(),s.end());
    string c="";
    for(int i=0;i<s.size();i++){
        if(s[i]=='0'){
            s.erase(s.begin()+i);
            i=0;
        }
        else {
            break;
        }
    }
    for(ll i=0;i<s.size();i++){
        if(s[i]=='2')s[i]='5';
        else if(s[i]=='5')s[i]='2';
    }
    if(s[0]=='0')s.erase(s.begin()+0);
    cout<<s;
}
int main()
{
    G();
    return 0;
}
